/*
The MIT License

Copyright 2018 Web Folders (Pty) Ltd.

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

/* ================================================================ *
 * Swimlab: Swim School                                             *
 * Stylesheet                                                       *
 * ---------------------------------------------------------------- *
 * Filename     gallery-1.7.css                                     *
 * Created      10/11/2017                                          *
 * Author       Reinhardt Zǚndorf                                   *
 * ---------------------------------------------------------------- */
.masonry 
{ /* Masonry container */
    column-count: 5;
    column-gap: 1em;
}

.item 
{ /* Masonry bricks or child elements */
    /*background-color: #666666;*/
    display: inline-block;
    margin: 0 0 1em;
    width: 100%;
}

/* ================================================================ *
 * Create four equal columns that floats next to each other         *
 * ---------------------------------------------------------------- */
.gallery-column 
{
    float:                          left;
    width:                          25%;
    padding:                        10px;
}

.gallery-column img 
{
    margin-top:                     12px;
    /*width:                          100%;*/
}

/* ==================================================== *
 * Image overlay                                        *
 * ---------------------------------------------------- */
.image-block 
{
    border: 3px solid white ;
    background-color: black;
    padding: 0px;    
    margin: 0px;
    height:200px;
    text-align: center;
    vertical-align: bottom;
}

.image-block > p 
{
    width: 100%;
    height: 100%;
    font-weight: normal;
    font-size: 19px;
    padding-top: 150px;
    background-color: rgba(3,3,3,0.0);
    color: rgba(6,6,6,0.0);
}

.image-block:hover > p 
{
    background-color: rgba(3,3,3,0.5);    
    color: white;    
}

/* ================================================================ *
 * Clear floats after the columns                                   *
 * ---------------------------------------------------------------- */
.gallery-row:after 
{
    content:                        "";
    display:                        table;
    clear:                          both;
}

/* ================================================================ *
 * Responsive: Make two columns instead of four                     *
 * ---------------------------------------------------------------- */
@media (max-width: 800px) 
{
    .gallery-column 
    {
        width:                      50%;
    }
}

/* ================================================================ *
 * Responsive: Make columns stack instead of next to each other     *
 * ---------------------------------------------------------------- */
@media (max-width: 600px) 
{
    .gallery-column 
    {
        width:                      100%;
    }
}

/* ================================================================ *
 * Card                                                             *
 * ---------------------------------------------------------------- */
.card 
{
    /*background-color:               #ffffff;*/
    margin-top:                     10px;
    box-sizing:                     border-box;
    border-radius:                  2px;
    background-clip:                padding-box;
    margin:                         35px;
    width:                          300px;
}

.card-title 
{
    /*background-color:               rgba(255, 255, 255, 0.4);*/ 
}

.card span.card-title 
{
    background-color:               rgba(255, 255, 255, 0.65); 
    color:                          #333333;
    font-size:                      24px;
    font-weight:                    500;
    text-transform:                 uppercase;
}

.card .card-image 
{
    position:                       relative;
    overflow:                       hidden;
    height:                         200px;
}

.card .card-image img 
{
    border-radius:                  2px 2px 0 0;
    background-clip:                padding-box;
    position:                       relative;
    z-index:                        -1;
}

.card .card-image span.card-title 
{
    position:                       absolute;
    bottom:                         0;
    left:                           0;
    padding:                        16px;
}

.card .card-content 
{
    font-size:                      16px;
    padding:                        16px;
    border-radius:                  0 0 2px 2px;
    background-clip:                padding-box;
    box-sizing:                     border-box;
}

.card .card-content p 
{
    margin:                         0;
    color:                          inherit;
}

.card .card-content span.card-title 
{
    line-height:                    48px;
}

.card .card-action 
{
    background-color:               rgba(109, 157, 0, 0.2);
    border-top:                     5px solid #6d9d00;
    padding:                        16px;
}

.card .card-action a 
{
    color:                          #6d9d00;
    margin-right:                   18px;
    transition:                     color 0.3s ease;
    text-transform:                 uppercase;
}

.card .card-action a:hover 
{
    color:                          #385100;
    text-decoration:                none;
}

/* ======================================================= *
 * Gallery Cards                                           *
 * ------------------------------------------------------- */
.gallery-card,
.gallery-card .card
{
    width:                          300px;
    margin:                         10px;
    margin-top:                     0px;
}

.card .gallery-card img
{
    width:                          300px;
}
.gallery-card img
{
    width:                          300px;

}
